import 'package:flutter_installer/flutter_installer_method_channel.dart';
import 'package:flutter_installer/flutter_installer_platform_interface.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockFlutterInstallerPlatform
    with MockPlatformInterfaceMixin
    implements FlutterInstallerPlatform {
  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final FlutterInstallerPlatform initialPlatform =
      FlutterInstallerPlatform.instance;

  test('$MethodChannelFlutterInstaller is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelFlutterInstaller>());
  });

  // test('getPlatformVersion', () async {
  //   FlutterInstaller flutterInstallerPlugin = FlutterInstaller();
  //   MockFlutterInstallerPlatform fakePlatform = MockFlutterInstallerPlatform();
  //   FlutterInstallerPlatform.instance = fakePlatform;

  //   expect(await flutterInstallerPlugin.getPlatformVersion(), '42');
  // });
}
