#ifndef FLUTTER_PLUGIN_FLUTTER_INSTALLER_PLUGIN_H_
#define FLUTTER_PLUGIN_FLUTTER_INSTALLER_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace flutter_installer {

class FlutterInstallerPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  FlutterInstallerPlugin();

  virtual ~FlutterInstallerPlugin();

  // Disallow copy and assign.
  FlutterInstallerPlugin(const FlutterInstallerPlugin&) = delete;
  FlutterInstallerPlugin& operator=(const FlutterInstallerPlugin&) = delete;

  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace flutter_installer

#endif  // FLUTTER_PLUGIN_FLUTTER_INSTALLER_PLUGIN_H_
